%{?mingw_package_header}

%global pkgname uriparser

Name:           mingw-%{pkgname}
Version:        0.8.5
Release:        2%{?dist}
Summary:        MinGW Windows %{pkgname} library
BuildArch:      noarch

License:        BSD
URL:            https://uriparser.github.io/
Source0:        https://github.com/%{pkgname}/%{pkgname}/releases/download/%{pkgname}-%{version}/%{pkgname}-%{version}.tar.bz2

# Fix mingw build
Patch0:         uriparser_mingw.patch

BuildRequires:  autoconf automake libtool
BuildRequires:  make

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:        MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:        MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
# Needed for Patch0
autoreconf -ifv
%mingw_configure --disable-static --disable-test --disable-doc
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/uriparse.exe
%{mingw32_bindir}/lib%{pkgname}-1.dll
%{mingw32_includedir}/%{pkgname}/
%{mingw32_libdir}/lib%{pkgname}.dll.a
%{mingw32_libdir}/pkgconfig/lib%{pkgname}.pc

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/uriparse.exe
%{mingw64_includedir}/%{pkgname}/
%{mingw64_bindir}/lib%{pkgname}-1.dll
%{mingw64_libdir}/lib%{pkgname}.dll.a
%{mingw64_libdir}/pkgconfig/lib%{pkgname}.pc


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Sandro Mani <manisandro@gmail.com> - 0.8.5-1
- Update to 0.8.5

* Mon Oct 30 2017 Sandro Mani <manisandro@gmail.com> - 0.8.4-1
- Initial package
